| LogDoctor 4.00 Parse Apache2/Nginx/IIS logs and view dinamically generated statistics

Loading...
Searching...
No Matches
Private Member Functions | List of all members
CraplogParser Class Referencefinal
Inheritance diagram for CraplogParser:

## Private Member Functions
void | joinLogLines ()
| Reads the selected files and append the resulting lines to the list.
void | parseLogLines ()
| Parses the lines in the list and stores their data in the data collection.
void | storeLogLines (QSqlDatabase &db)
| Handles the process of storing data in the database.
bool | storeData (QSqlDatabase &db)
| Stores the data collection in the logs Collection database.

## Member Function Documentation

## ◆ joinLogLines()

void CraplogParser::joinLogLines | ( |  | ) |
| private

Reads the selected files and append the resulting lines to the list.

Exceptions

  GenericException |

## ◆ parseLogLines()

void CraplogParser::parseLogLines | ( |  | ) |
| private

Parses the lines in the list and stores their data in the data collection.

Exceptions

  LogParserException |

## ◆ storeData()

bool CraplogParser::storeData | ( | QSqlDatabase & | db | ) |
| private

Stores the data collection in the logs Collection database.

Parameters

  db | The database instance, already initialized

Returns
  Whether the operation has been successful or not

Exceptions

  WebServerException |

## ◆ storeLogLines()

void CraplogParser::storeLogLines | ( | QSqlDatabase & | db | ) |
| private

Handles the process of storing data in the database.

Parameters

  db | The database instance, not initialized already

See also
  storeData()

The documentation for this class was generated from the following files:

- logdoctor/modules/craplog/modules/workers/parser.h
- logdoctor/modules/craplog/modules/workers/parser.cpp